%define pypi_name	logutils

%bcond_without check

Name:		python-%{pypi_name}
Version:	0.3.5
Release:	%mkrel 12
Summary:	Logging utilities
Group:		Development/Python
License:	BSD
URL:		https://pypi.org/project/logutils
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel

%description
The logutils package provides a set of handlers for the Python standard
library's logging package.

Some of these handlers are out-of-scope for the standard library, and so
they are packaged here. Others are updated versions which have appeared in
recent Python releases, but are usable with older versions of Python and so
are packaged here.

%package -n	python3-%{pypi_name}
Summary:	Logging utilities
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
The logutils package provides a set of handlers for the Python standard
library's logging package.

Some of these handlers are out-of-scope for the standard library, and so
they are packaged here. Others are updated versions which have appeared in
recent Python releases, but are usable with older versions of Python and so
are packaged here.

%prep
%setup -q -n %{pypi_name}-%{version}

rm doc/Makefile

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files logutils

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst NEWS.txt doc/
%license LICENSE.txt


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.3.5-12.mga10
+ Revision: 2240731
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.3.5-11.mga10
+ Revision: 2155793
- rebuild for python3.13

* Wed Dec 13 2023 papoteur <papoteur> 0.3.5-10.mga10
+ Revision: 2017698
- rebuild for python3.12
- adapt to pyproject

* Mon Mar 21 2022 umeabot <umeabot> 0.3.5-9.mga9
+ Revision: 1816374
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.3.5-8.mga9
+ Revision: 1783796
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.3.5-7.mga9
+ Revision: 1707395
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.3.5-6.mga8
+ Revision: 1531946
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.3.5-5.mga8
+ Revision: 1441421
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 0.3.5-4.mga7
+ Revision: 1351623
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.5-3.mga7
+ Revision: 1289177
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.3.5-2.mga7
+ Revision: 1135490
- Rebuild for python 3.6

* Wed Jul 19 2017 daviddavid <daviddavid> 0.3.5-1.mga7
+ Revision: 1125024
- new version: 0.3.5
- update Source URL

* Sun Dec 20 2015 daviddavid <daviddavid> 0.3.3-1.mga6
+ Revision: 912453
- imported package python-logutils

